<?php 

require_once('../../Connections/odonto_connection1.php');
require_once('../../inc/utils.php');

$negocio=$_GET[negocio];
$sucursal="sucursal_01";
$id_delivery=0;

$zona_habilitada = 1;

$q = "SELECT sin_carta_digital,color_titulo,color_letra,color_observa,imagen_precios,cliente_habilitado FROM datos WHERE negocio LIKE '$negocio'";
$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
$row = mysqli_fetch_assoc($rs);

$sin_carta_digital = $row[sin_carta_digital];
$color_titulo = $row[color_titulo];
$color_letra = $row[color_letra];
$color_observa = $row[color_observa];
$imagen_precios = $row[imagen_precios];
$cliente_habilitado = $row[cliente_habilitado];

$q = "SELECT id_categ,categoria FROM categorias WHERE negocio LIKE '$negocio' ORDER BY orden ASC";
$rs_ingreso32 = mysqli_query($odonto_connection,$q) or die(mysqli_error());
$num_rows32 = mysqli_num_rows($rs_ingreso32);
$row_rs_ingreso32 = mysqli_fetch_assoc($rs_ingreso32);

$menu_por_categoria = array();
$num_i = array();
$nom_categ = array();

if($num_rows32)
{
	do{
		$categoria = $row_rs_ingreso32[id_categ];
		$nom_categ[$categoria] = $row_rs_ingreso32[categoria];
		
		if(!$id_delivery) $q = "SELECT id_pre,imagen,menu,observa,precio FROM precios WHERE negocio LIKE '$negocio' AND id_categ = $categoria AND publicar LIKE 'si'";
		else $q = "SELECT id_pre,imagen,menu,observa,precio FROM precios WHERE negocio LIKE '$negocio' AND id_categ = $categoria AND delivery LIKE 'si'";
		
		$rs_ingreso33 = mysqli_query($odonto_connection,$q) or die(mysqli_error());
		$row_rs_ingreso33 = mysqli_fetch_assoc($rs_ingreso33);
		
		do{
		
			$menu_por_categoria[$categoria]["id_pre"][] = $row_rs_ingreso33['id_pre']; 
			$menu_por_categoria[$categoria]["imagen"][] = $row_rs_ingreso33['imagen']; 
			$menu_por_categoria[$categoria]["menu"][] = $row_rs_ingreso33['menu']; 
			$menu_por_categoria[$categoria]["precio"][] = $row_rs_ingreso33['precio'];
			$menu_por_categoria[$categoria]["observa"][] = $row_rs_ingreso33['observa'];
			$num_i[$categoria] = $num_i[$categoria] + 1; 
			
		} while($row_rs_ingreso33 = mysqli_fetch_assoc($rs_ingreso33));	

	} while($row_rs_ingreso32 = mysqli_fetch_assoc($rs_ingreso32));
}
else $bandera = "Todavia no hay cargada carta";

if(isset($_POST['hacer'])){
	$mensaje = $_POST['aclaracion'];
	$suma_total = $_POST['suma'];
	if(!$id_delivery) header("Location:" . "index_pedido.php?mensaje=$mensaje");
	else header("Location:" . "index_pedido_externo.php?mensaje=$mensaje&suma=$suma_total");
}

if(isset($_POST['borrar'])){
	$codigo=$_SESSION['codigo'];
	
	$query_rs_todos = "DELETE FROM pedidos WHERE mesa = '$codigo' ";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
		
		$q = "UPDATE mesas SET ocup = '0',descripcion = '' WHERE codigo LIKE '$codigo'";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");

	header("Location:" . "index_precios.php");
}

if(isset($_GET['borraritem'])){
	$item=$_GET['borraritem'];
	$query_rs_todos = "DELETE FROM pedidos WHERE cod_pre = $item";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());

	header("Location:" . "index_precios.php");
}


?>  
<!DOCTYPE HTML>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width,user-scalable=no,initial-scale=1.0,maximum-scale=1.0" />

<title>PonderZone</title>

<?php 
require_once($_SERVER['DOCUMENT_ROOT'] .'/warn/bootstrap/bootstrap_js_gral.php');
require_once($_SERVER['DOCUMENT_ROOT'] .'/warn/bootstrap/bootstrap_css_gral.php');
?>

<link href='https://fonts.googleapis.com/css?family=Handlee' rel='stylesheet'>

<style>
.texto_sombra
{
	text-shadow: 0px 0px 5px #fff;
	//text-shadow: 50px 50px 50px white;
}

<?php 
/////// colores e imagen de fondo customizada
$link_fondo = "fondos/".$negocio."/".$imagen_precios;
////// colores por default:
if(!file_exists($link_fondo)) $link_fondo = "fondos/fondo_index_precios.jpg";

$background = "transparent";
$background_titulo = "transparent";

////////////////
?>
body {
  text-align:left;
  color:#555;
  //font-family:'Handlee';
  //font-weight:bold;
  //font-size:10px;
  //padding-top:1vh;
  background-image:url("<?php echo $link_fondo;?>");
}

:root {
  --main-bg-negocio: url(fondos/fondo_index_precios.jpg);
  --main-bg-opacidad: 0.7;
  	background-size: cover;
	background-repeat: no-repeat;
	height: 100%;

}

.footer {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   color: white;
   text-align: left;
}
  
</style>


<script type="text/javascript">

$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});


function myModal(id){
  var mymodal = "#myModal" + id;
  $(mymodal).modal({backdrop: false});
  }
  
function myFunction1(negocio) {
		window.open("negocio_0_elige_mozo.php?negocio="+negocio,"_parent");
}

var clikeado = new Array();
var borrado = new Array();
var eligiendo = 0;

function miFuncionSpinner(value) {
		var item = document.getElementById(value);
		var  child=document.createElement("div");
		child.id= value;
		child.innerHTML = "<div class='spinner-border' style='color:#fff'></div>";
		item.appendChild(child);
		
}


function miOkey(id_pre){
		var mySelect_id_pre = 'cuenta_items_'+id_pre;
		var cantidad_elegida = document.getElementById(mySelect_id_pre).value;
		var codigo_pasar = <?php echo "'".$codigo."'";?>;
		
		$.post("getuser_limpia.php",{id_pre:id_pre,cantidad_elegida:cantidad_elegida,codigo_pasar:codigo_pasar});
		//window.open("./index_precios.php?id_pre="+id_pre+"&cantidad_elegida="+cantidad_elegida,"_parent");
		document.getElementById('volver_id').scrollIntoView(true);
		document.getElementById('arma_id').style.display = "none";
		document.getElementById('form_id').style.display = "block";
		return;
}

function miCancelar(id_pre){
		var popi_id_pre = 'popi_'+id_pre;
		document.getElementById(popi_id_pre).style.backgroundColor = "black";
		var modal_id_pre = 'modal_'+id_pre;
		document.getElementById(modal_id_pre).style.backgroundColor = "grey";
		
		var item = document.getElementById(modal_id_pre);
		var  child=document.createElement("div");
		child.id= modal_id_pre;
		child.innerHTML = "<div class='spinner-border' style='position:relative;top:-5rem;left:50%;color:white;font-size:1rem'></div>";
		item.appendChild(child);
			//var item_borrar=document.getElementById(popi_id_pre);
			//item_borrar.parentNode.removeChild(item_borrar);
		window.open("./index_precios.php","_parent");
		return;
}


function AnimaMaxi(){
	var count = 0;
	var id = setInterval(frame, 700);
		var Arma_anim = document.getElementById("Arma_anim");
	function frame() {
		if (count == 0) {
		  	if(Arma_anim) document.getElementById("Arma_anim").className = "far fa-arrow-alt-circle-down";
		  	count++;
			} else {
			if(Arma_anim) document.getElementById("Arma_anim").className = "fas fa-arrow-alt-circle-down";
			count = 0;
		}
  }
}

var myVar = setInterval(showPedido, 1000);

function showPedido(){
	
	<?php 
	require_once('../../Connections/odonto_connection1.php'); 
	$query_rs_todos = "SELECT cant,recibido FROM pedidos WHERE negocio like '$negocio' AND mesa like '$codigo'";
	$rs_ingreso = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso = mysqli_fetch_assoc($rs_ingreso);
	$recib = 0;
	$cant = 0;
	do{
		$cant = $cant + $row_rs_ingreso[cant];
		$recib = $recib + $row_rs_ingreso[recibido];
	}
	while($row_rs_ingreso= mysqli_fetch_assoc($rs_ingreso));

	?>	
	var negocio = <?php echo "'".$negocio."'";?>;
	var cant = <?php echo $cant;?>;
	var codigo = <?php echo "'".$codigo."'";?>;
	var recib = <?php echo "'".$recib."'";?>;

	$.post("getuser_precios.php",{negocio:negocio,cant:cant,codigo:codigo,recib:recib},function(data) {
		
		document.getElementById('table_id').innerHTML = data;
		
	});

}

function myBorrar(id_pre) {//alert(vemos);
  if(confirm("Borramos?"))  $.post("getuser_limpia.php",{cod_pre:id_pre});
  else return;
}

function myFunction(data) {//alert(vemos);
  var ver = data;
  if(ver == 'dos') window.open("index_precios.php" , '_parent');
  if(ver == 'tres') window.open("index_pedido_recib.php" , '_parent');
}


 </script>

</head>
<body onload="AnimaMaxi()" >
<div class="container-fluid">
<div class='row'>
	<div class='col'>
		<br>
	</div>
</div>
	<div class="row text-left" style="color:white;font-size:0.9rem" id="precio">
		<div class="col">
		
			<?php
			$q = $negocio;
			$r = $codigo;
			$s = $sucursal;

			$sql="SELECT id_ped FROM pedidos WHERE negocio = '".$q."' AND mesa = '".$r."' AND sucursal = '".$s."' ORDER BY id_ped ASC";
			$result0 = mysqli_query($odonto_connection,$sql);
			$row_rs_ingreso0 = mysqli_fetch_assoc($result0);
			$row_cnt = mysqli_num_rows($result0);
			//$row_cnt = $row_cnt + 10;
			echo "<div class='row text-center'>";
				echo "<div class='col-12'>";
					echo "<button type=\"button\" class=\"btn btn-danger degrade btn-lg btn-circle\" style='background-color:#000;color:white;border-color:white' id=\"volver_id\" onclick=\"myFunction1('".$negocio."')\"><b><i class='fas fa-chevron-left'></i><i class='fas fa-chevron-left'></i> Volver</b></button><div id=\"volver\"></div>";
				echo "</div>";
				echo "</div><br>";
				echo "<div class=container><div class=row><div class=col><div id='table_id'><b></b></div></div></div></div>";
				$display = "block";
				
		if($row_cnt == 0){
			$display = "none";
			echo "<div class=container><div class=row><div class=col><div id='table_id'>";
					echo "</div></div></div></div>";
			echo "<div class='container text-center' id='arma_id'>";
				echo "<div class='row'>";
					echo "<div class='col'>";
						if(!$bandera && !$zona_habilitada) $armatupedido = "Arma tu Pedido <i id='Arma_anim'></i>";
						else $armatupedido = $bandera;
						echo "<font style='font-size:1.6rem;text-align:right;color:white'><b>".$armatupedido."</b></font>";
					echo "</div>";
				echo "</div>";
			echo "</div>";
			echo "</div>";
			echo "</div>";
				
		}

			echo "<form id='form_id' style='display:$display' action='index_precios.php' method='post'>";			
			echo "<div class=\"form-group\">";

			echo "<div class='row'>";
			echo "<div class='col'>";
			if(isset($_GET['mensaje'])) $mensaje = $_GET['mensaje']; 
			echo "<input type=\"form-group\" maxlength=\"200\" class=\"form-control\" id=\"aclaracion\" placeholder=\"Alguna Aclaración?\" name=\"aclaracion\" value=\"$mensaje\" style=\"border-radius:18px;font-size:22px\">";
			echo "</div>";
			echo "</div>";
			echo "<br>";
			echo "<div class='row text-center'>";
			echo "<div class='col'>";
				echo "<button type=\"submit\" class=\"btn btn-light btn-lg btn-circle\" name=\"hacer\" onclick=\"miFuncionSpinner('hacer')\"><b><i class='far fa-thumbs-up'></i> Pedir</b></button><div id=\"hacer\"></div>";
			echo "</div>";
			/*			
			echo "<div class='col-6'>";
			echo "<button type=\"submit\" class=\"btn btn-warning text-white degrade2 btn-lg btn-circle\" style=\"color:white;background-color:gray;border-color:#fff\" name=\"borrar\" onclick=\"miFuncionSpinner('borrar')\"><b><i class='fas fa-sync-alt'></i> Reset</b></button><div id=\"borrar\"></div>";
			*/
			echo "</div>";
			echo "</div>";
			echo "<input value='$suma' id='suma' name='suma' style='visibility:hidden'></input>";	
			echo "</div>";			
			echo "<br>";
			echo "</form>";
			
		mysqli_close($odonto_connection);	
			
			?>

		</div>
	</div>
	</div>
	
<?php 
		
echo "<div class='container-fluid'>";
	echo "<br>";
	echo "<div class='row fixed-bottom'>";	
		echo "<div class='col'>";	
			echo '<br><input class="form-control" id="myInput" maxlength"120" type="text" placeholder="Buscar en el menu..." name="myInput" style="border-radius:18px;font-size:22px">';
		echo "</div>";
	echo "</div>";


echo "<div class='row'>";
	echo "<table id='myTable' class='table align-items-center' style='border-color:black'>";
		echo "<tbody>";
			foreach($menu_por_categoria as $id_categoria => $value_array){
				for($i = 0; $i < $num_i[$id_categoria]; $i++){ //$num_rows32 es el numero de categorias
					$id_pre = $value_array[id_pre][$i];
					$imagen = $value_array[imagen][$i];
					$menu = $value_array[menu][$i];
					$observa = $value_array[observa][$i];
					$precio = $value_array[precio][$i];
					if($id_pre){
						if($i == 0){
							echo "<tr id='row_".$id_pre."' style='font-size:2.5rem;text-align:center' >";
								echo "<td>";
								echo "<font style='color:$color_titulo'>".$nom_categ[$id_categoria]."</font>";
								echo "</td>";
							echo "</tr>";
						}
						echo "<tr onclick='";
						if(!$zona_habilitada) echo "myModal(".$id_pre.")";
						echo " ' id='row_".$id_pre."' style='color:$color_letra;font-size:1.2rem' >";
							echo "<td>";
								if($imagen) echo "<img src='../../../imagenes_productos/".$negocio."/".$imagen."' class='mr-3 mt-3 align-self-center' width='65px' height='70px'>";
								$menu = eliminar_tildes($menu);								
								echo "<b>".$menu."</b>";
								if($observa) echo "<font style='color:".$color_observa."'> (".$observa.")</font>";
								
							if($precio){
								echo " ... <input id='precio_".$id_pre."' value=".$precio." style='display:none'>$".$precio."</input>";
								}
								else echo "$---"; 
								echo "<div id='popi_".$id_pre."'></div>";
							echo "</td>
						</tr>
					";
					}
					
$color_fondo_cabecera_modal = "black";					
$color_letra_arriba_modal = "white";
$color_fondo_cuerpo_modal = "white";					
$color_footer_modal = "lightgrey";

echo '<!-- The Modal -->
	<div class="modal fade" id="myModal'.$id_pre.'" >
	<div class="modal-dialog modal-dialog-centered">
	<div class="modal-content">

	<!-- Modal Header -->
	<div class="modal-header" style="background-color:'.$color_fondo_cabecera_modal.';border-color:'.$color_fondo_cabecera_modal.'">
	<h5 class="modal-title" style="color:'.$color_letra_arriba_modal.'"><b>$'.$precio.'</b></h5>
	<button type="button" class="close" data-dismiss="modal">&times;</button>
	</div>
	<!-- Modal body -->
	<div class="modal-body text-white" style="background-color:'.$color_fondo_cuerpo_modal.'">';
		$link_imagen = '../../../imagenes_productos/'.$negocio.'/'.$imagen;
		if($imagen) echo '<h5><img  src='.$link_imagen.' class="rounded-circle" style="width:3rem"> '.$menu.'</h5>'; 
		else echo '<h5> '.$menu.'</h5>';
		if($observa) echo '<h5>'.$observa.'</h5>';
		echo '
		<h6>Cantidad:</h6>
		<select class="form-control" id="cuenta_items_'.$id_pre.'">';
		$j = 1;								
		while($j <= 22){
			echo '<option value="'.$j.'">'.$j.'</option>';
			$j++;
		}
		echo '</select>';
	echo '
	</div>
	
	<!-- Modal footer -->
	<div class="modal-footer" style="background-color:'.$color_footer_modal.';border-color:'.$color_footer_modal.'">
	<div class="row">
	<div class="col">
	<button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cancelar</button>
	</div>
	<div class="col">
	<button class="btn btn-dark text-left" onclick="miOkey('.$id_pre.')" data-dismiss="modal"><i class="fas fa-thumbs-up"></i> OK</a>									
	</div>
	</div>
	</div>

	</div>
	</div>
	</div>
	';
				
					
					
				}
			}


echo "</tbody>";
echo "</table>";
echo "</div>";

	
	
?>
</div>

<p id="txtHint" style="position;absolute;width:200px;height:5px;visibility:shown"></p>
	
</div>	
</body>
</html>